import PropTypes from 'prop-types';
/**
 * Primary UI component for user interaction
 */
declare const Icon: {
    ({ width, height, graphics, color }: {
        width: string;
        height: string;
        graphics: string;
        color: string;
    }): JSX.Element;
    propTypes: {
        /**
         * Button contents
         */
        graphics: PropTypes.Validator<string>;
        /**
         * height of icon
         */
        height: PropTypes.Requireable<string>;
        /**
         * width of icon
         */
        width: PropTypes.Requireable<string>;
        /**
         * color of icon
         */
        color: PropTypes.Requireable<string>;
    };
    defaultProps: {
        height: string;
        width: string;
        color: string;
    };
};
export default Icon;
